info.bioinfweb.jphyloio.events

## Class PartEndEvent

- java.lang.Object
- - info.bioinfweb.jphyloio.events.ConcreteJPhyloIOEvent
  - - info.bioinfweb.jphyloio.events.PartEndEvent

- All Implemented Interfaces:
    JPhyloIOEvent

      public class PartEndEvent
      extends ConcreteJPhyloIOEvent

  Indicates the end of a part of a sequence or character set definition.

  Sequences or character set definitions may be split across several sequences of events (each surrounded by a start and a end event), especially when interleaved formats are read. `isTerminated()` determines whether another part of the same sequence may follow.

  (Note that this class differs from `ContinuedEvent`, which has a property indicating if a single value is separates among a sequence of identical events. No direct instances from `ContinuedEvent` can be created.)

  Author:
    Ben Stöver

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PartEndEvent(EventContentType contentType, boolean terminated)` Creates a new instance of this class.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isTerminated()` Specifies whether another part of the same sequence or character set definition may follow.

    - ### Methods inherited from class info.bioinfweb.jphyloio.events.ConcreteJPhyloIOEvent

      `asCharacterDefinitionEvent, asCharacterSetIntervalEvent, asCommentEvent, asEdgeEvent, asLabeledIDEvent, asLinkedLabeledIDEvent, asLiteralMetadataContentEvent, asLiteralMetadataEvent, asNodeEvent, asPartEndEvent, asResourceMetadataEvent, asSequenceTokensEvent, asSetElementEvent, asSingleSequenceTokenEvent, asSingleTokenDefinitionEvent, asTokenSetDefinitionEvent, asUnknownCommandEvent, createEndEvent, getType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PartEndEvent

          public PartEndEvent(EventContentType contentType,
                              boolean terminated)

      Creates a new instance of this class.
      Parameters:
        `contentType` - the content type of this end event (currently either `EventContentType.SEQUENCE` or `EventContentType.CHARACTER_SET`)
        `terminated` - Specifies whether another part of the same sequence may follow.

  - ### Method Detail

    - #### isTerminated

          public boolean isTerminated()

      Specifies whether another part of the same sequence or character set definition may follow.

      Sequences or character set definitions may be split across several sequences of events (each surrounded by a start and a end event), especially when interleaved formats are read.

      Returns:
        `true` if this sequence or character set definition is definitely terminated or `false` if another part may (or may not) follow